Skip to main content
GET
/
api
/
Segment
/
ByContact
/
{contactId}
Get the Segments for a Contact
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Segment/ByContact/{contactId} \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "name": "<string>",
      "description": "<string>",
      "code": "<string>",
      "communicationId": "<integer>",
      "communicationName": "<string>",
      "campaignId": "<integer>",
      "campaignName": "<string>",
      "segmentOrganizerId": "<integer>"
    },
    {
      "id": "<integer>",
      "name": "<string>",
      "description": "<string>",
      "code": "<string>",
      "communicationId": "<integer>",
      "communicationName": "<string>",
      "campaignId": "<integer>",
      "campaignName": "<string>",
      "segmentOrganizerId": "<integer>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactId
string
required

(Required) The contact identifier.

Query Parameters

skip
string

The skip.

take
string

The take.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026